PDA

View Full Version : Install software 32 bit in Server 64 Bit



coubiac1987
06-Feb-2014, 11:51
Hi guys,

I tried to install software 32 bit in Suse Linux Entreprise Server 10 SP4 in 64 bit and my installation doesnt work. I search on internet what paquage im supposed to install but i dont find this.

Can you help me?

Regards.

Julien

ab
06-Feb-2014, 12:14
What software? How did you try to install it? Do you have the 32-bit
compatibility libraries that the software requires installed?

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...

coubiac1987
06-Feb-2014, 13:34
Hi Ab,

Thank you for your answer. The software i tried to install is an antivirus Panda. I downlead the installer, i run it in root, the installation it's ok but the services don't start.
How i can know what 32-bit compatibility libraries is requires by the software?

Regards,

Julien

ab
06-Feb-2014, 14:27
On 02/06/2014 05:44 AM, coubiac1987 wrote:
>
> Thank you for your answer. The software i tried to install is an
> antivirus Panda. I downlead the installer, i run it in root, the
> installation it's ok but the services don't start.

Is it safe to assume this software did not come from SUSE? Probably so
I'll continue based on that. Does the Panda software support SLES? Do
they document which libraries they require for things to work properly
(glibc, libstdc++, etc.)?

> How i can know what 32-bit compatibility libraries is requires by the
> software?

The vendor of the software should define their requirements.
Alternatively, try to get more output from the service startup to see why
it is failing. There are tools like 'chkbin' which is part of the
supportutils package (which is likely installed by default if you'r eon a
current version of SLES) which you can point at a binary and it will help
you verify that all of detectable dependencies are installed, so perhaps
give that a try if the vendor is not helpful.

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...

coubiac1987
06-Feb-2014, 15:19
AB,

Thank again for your answer. I'm sure about this product and it support SLES. I will check what library they need to work, and try to use supporutils package.

Regards.

Julien

smflood
06-Feb-2014, 15:46
On 06/02/2014 12:44, coubiac1987 wrote:

> Thank you for your answer. The software i tried to install is an
> antivirus Panda. I downlead the installer, i run it in root, the
> installation it's ok but the services don't start.
> How i can know what 32-bit compatibility libraries is requires by the
> software?

Note that this is a forum for issues relating to SUSE Linux Enterprise
for SAP Applications and not applications in general so you should
repost in a more appropriate forum.

HTH.
--
Simon
SUSE Knowledge Partner

------------------------------------------------------------------------
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below. Thanks.
------------------------------------------------------------------------

coubiac1987
07-Feb-2014, 10:30
Problem solved. Thank you for your help.

Regards,

Julien